## WebKitDOMHTMLFrameElement WebKitDOMHTMLFrameElement |

## Functions

gchar * | webkit_dom_html_frame_element_get_frame_border ()
void | webkit_dom_html_frame_element_set_frame_border ()
gchar * | webkit_dom_html_frame_element_get_long_desc ()
void | webkit_dom_html_frame_element_set_long_desc ()
gchar * | webkit_dom_html_frame_element_get_margin_height ()
void | webkit_dom_html_frame_element_set_margin_height ()
gchar * | webkit_dom_html_frame_element_get_margin_width ()
void | webkit_dom_html_frame_element_set_margin_width ()
gchar * | webkit_dom_html_frame_element_get_name ()
void | webkit_dom_html_frame_element_set_name ()
gboolean | webkit_dom_html_frame_element_get_no_resize ()
void | webkit_dom_html_frame_element_set_no_resize ()
gchar * | webkit_dom_html_frame_element_get_scrolling ()
void | webkit_dom_html_frame_element_set_scrolling ()
gchar * | webkit_dom_html_frame_element_get_src ()
void | webkit_dom_html_frame_element_set_src ()
WebKitDOMDocument * | webkit_dom_html_frame_element_get_content_document ()
WebKitDOMDOMWindow * | webkit_dom_html_frame_element_get_content_window ()
glong | webkit_dom_html_frame_element_get_width ()
glong | webkit_dom_html_frame_element_get_height ()

## Properties

WebKitDOMDocument * | content-document | Read
WebKitDOMDOMWindow * | content-window | Read
gchar * | frame-border | Read / Write
glong | height | Read
gchar * | long-desc | Read / Write
gchar * | margin-height | Read / Write
gchar * | margin-width | Read / Write
gchar * | name | Read / Write
gboolean | no-resize | Read / Write
gchar * | scrolling | Read / Write
gchar * | src | Read / Write
glong | width | Read

## Types and Values

struct | WebKitDOMHTMLFrameElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLFrameElement

## Implemented Interfaces

WebKitDOMHTMLFrameElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_frame_element_get_frame_border ()

    gchar *
    webkit_dom_html_frame_element_get_frame_border
                                   (WebKitDOMHTMLFrameElement *self);

`webkit_dom_html_frame_element_get_frame_border` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLFrameElement |

#### Returns

A gchar

### webkit_dom_html_frame_element_set_frame_border ()

    void
    webkit_dom_html_frame_element_set_frame_border
                                   (WebKitDOMHTMLFrameElement *self,
                                    const gchar *value);

`webkit_dom_html_frame_element_set_frame_border` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLFrameElement |
value | A gchar |

### webkit_dom_html_frame_element_get_long_desc ()

    gchar *
    webkit_dom_html_frame_element_get_long_desc
                                   (WebKitDOMHTMLFrameElement *self);

`webkit_dom_html_frame_element_get_long_desc` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLFrameElement |

#### Returns

A gchar

### webkit_dom_html_frame_element_set_long_desc ()

    void
    webkit_dom_html_frame_element_set_long_desc
                                   (WebKitDOMHTMLFrameElement *self,
                                    const gchar *value);

`webkit_dom_html_frame_element_set_long_desc` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLFrameElement |
value | A gchar |

### webkit_dom_html_frame_element_get_margin_height ()

    gchar *
    webkit_dom_html_frame_element_get_margin_height
                                   (WebKitDOMHTMLFrameElement *self);

`webkit_dom_html_frame_element_get_margin_height` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLFrameElement |

#### Returns

A gchar

### webkit_dom_html_frame_element_set_margin_height ()

    void
    webkit_dom_html_frame_element_set_margin_height
                                   (WebKitDOMHTMLFrameElement *self,
                                    const gchar *value);

`webkit_dom_html_frame_element_set_margin_height` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLFrameElement |
value | A gchar |

### webkit_dom_html_frame_element_get_margin_width ()

    gchar *
    webkit_dom_html_frame_element_get_margin_width
                                   (WebKitDOMHTMLFrameElement *self);

`webkit_dom_html_frame_element_get_margin_width` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLFrameElement |

#### Returns

A gchar

### webkit_dom_html_frame_element_set_margin_width ()

    void
    webkit_dom_html_frame_element_set_margin_width
                                   (WebKitDOMHTMLFrameElement *self,
                                    const gchar *value);

`webkit_dom_html_frame_element_set_margin_width` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLFrameElement |
value | A gchar |

### webkit_dom_html_frame_element_get_name ()

    gchar *
    webkit_dom_html_frame_element_get_name
                                   (WebKitDOMHTMLFrameElement *self);

`webkit_dom_html_frame_element_get_name` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLFrameElement |

#### Returns

A gchar

### webkit_dom_html_frame_element_set_name ()

    void
    webkit_dom_html_frame_element_set_name
                                   (WebKitDOMHTMLFrameElement *self,
                                    const gchar *value);

`webkit_dom_html_frame_element_set_name` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLFrameElement |
value | A gchar |

### webkit_dom_html_frame_element_get_no_resize ()

    gboolean
    webkit_dom_html_frame_element_get_no_resize
                                   (WebKitDOMHTMLFrameElement *self);

`webkit_dom_html_frame_element_get_no_resize` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLFrameElement |

#### Returns

A gboolean

### webkit_dom_html_frame_element_set_no_resize ()

    void
    webkit_dom_html_frame_element_set_no_resize
                                   (WebKitDOMHTMLFrameElement *self,
                                    gboolean value);

`webkit_dom_html_frame_element_set_no_resize` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLFrameElement |
value | A gboolean |

### webkit_dom_html_frame_element_get_scrolling ()

    gchar *
    webkit_dom_html_frame_element_get_scrolling
                                   (WebKitDOMHTMLFrameElement *self);

`webkit_dom_html_frame_element_get_scrolling` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLFrameElement |

#### Returns

A gchar

### webkit_dom_html_frame_element_set_scrolling ()

    void
    webkit_dom_html_frame_element_set_scrolling
                                   (WebKitDOMHTMLFrameElement *self,
                                    const gchar *value);

`webkit_dom_html_frame_element_set_scrolling` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLFrameElement |
value | A gchar |

### webkit_dom_html_frame_element_get_src ()

    gchar *
    webkit_dom_html_frame_element_get_src (WebKitDOMHTMLFrameElement *self);

`webkit_dom_html_frame_element_get_src` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLFrameElement |

#### Returns

A gchar

### webkit_dom_html_frame_element_set_src ()

    void
    webkit_dom_html_frame_element_set_src (WebKitDOMHTMLFrameElement *self,
                                           const gchar *value);

`webkit_dom_html_frame_element_set_src` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLFrameElement |
value | A gchar |

### webkit_dom_html_frame_element_get_content_document ()

    WebKitDOMDocument *
    webkit_dom_html_frame_element_get_content_document
                                   (WebKitDOMHTMLFrameElement *self);

`webkit_dom_html_frame_element_get_content_document` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLFrameElement |

#### Returns

A WebKitDOMDocument.

[transfer none]

### webkit_dom_html_frame_element_get_content_window ()

    WebKitDOMDOMWindow *
    webkit_dom_html_frame_element_get_content_window
                                   (WebKitDOMHTMLFrameElement *self);

`webkit_dom_html_frame_element_get_content_window` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLFrameElement |

#### Returns

A WebKitDOMDOMWindow.

[transfer full]

### webkit_dom_html_frame_element_get_width ()

    glong
    webkit_dom_html_frame_element_get_width
                                   (WebKitDOMHTMLFrameElement *self);

`webkit_dom_html_frame_element_get_width` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLFrameElement |

#### Returns

A glong

### webkit_dom_html_frame_element_get_height ()

    glong
    webkit_dom_html_frame_element_get_height
                                   (WebKitDOMHTMLFrameElement *self);

`webkit_dom_html_frame_element_get_height` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLFrameElement |

#### Returns

A glong

## Types and Values

### struct WebKitDOMHTMLFrameElement

    struct WebKitDOMHTMLFrameElement;

## Property Details

### The `“content-document”` property

      “content-document”         WebKitDOMDocument *

read-only WebKitDOMDocument* HTMLFrameElement:content-document.

Flags: Read

### The `“content-window”` property

      “content-window”           WebKitDOMDOMWindow *

read-only WebKitDOMDOMWindow* HTMLFrameElement:content-window.

Flags: Read

### The `“frame-border”` property

      “frame-border”             gchar *

read-write gchar* HTMLFrameElement:frame-border.

Flags: Read / Write

Default value: ""

### The `“height”` property

      “height”                   glong

read-only glong HTMLFrameElement:height.

Flags: Read

Default value: 0

### The `“long-desc”` property

      “long-desc”                gchar *

read-write gchar* HTMLFrameElement:long-desc.

Flags: Read / Write

Default value: ""

### The `“margin-height”` property

      “margin-height”            gchar *

read-write gchar* HTMLFrameElement:margin-height.

Flags: Read / Write

Default value: ""

### The `“margin-width”` property

      “margin-width”             gchar *

read-write gchar* HTMLFrameElement:margin-width.

Flags: Read / Write

Default value: ""

### The `“name”` property

      “name”                     gchar *

read-write gchar* HTMLFrameElement:name.

Flags: Read / Write

Default value: ""

### The `“no-resize”` property

      “no-resize”                gboolean

read-write gboolean HTMLFrameElement:no-resize.

Flags: Read / Write

Default value: FALSE

### The `“scrolling”` property

      “scrolling”                gchar *

read-write gchar* HTMLFrameElement:scrolling.

Flags: Read / Write

Default value: ""

### The `“src”` property

      “src”                      gchar *

read-write gchar* HTMLFrameElement:src.

Flags: Read / Write

Default value: ""

### The `“width”` property

      “width”                    glong

read-only glong HTMLFrameElement:width.

Flags: Read

Default value: 0